Bug 166124 - radeonfb causes X to lock up machine
radeonfb causes X to lock up machine
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-16 22:04 EDT by Ulrich Drepper
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:27:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2005-08-16 22:04:26 EDT
Description of problem:
The current rawhide initscripts load the radeonfb kernel module on my T42
laptop.  After that happened starting the X server locks up the machine.  I
suspect it happens when loading the libxaa.a module.  I guess this is the case
from the logs but I cannot be sure, no other information is stored.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1422_FC5.i686
kernel-2.6.12-1.1456_FC5.i686
kernel-2.6.12-1.1464_FC5.i686
kernel-2.6.12-1.1487_FC5.i686
... and probably many more

How reproducible:
always

Steps to Reproduce:
1.get t42 model 2378R2U
2.start up, make sure radeonfb is loaded
3.start X
  
Actual results:
lock-up

Expected results:
X starts

Additional info:
Comment 1 Ulrich Drepper 2005-09-06 20:18:27 EDT
What does work is to add radeonfb to the hotplug blacklist and then manually
load the radeonfb driver after X is up.  This will disturb the picture, but a
quick switch to the text console and back restores it.

Once the module is loaded I can suspend the machine and on wakeup the display
works as expected.  Without the module loaded the display doesn't come up correctly.
Comment 2 Dave Jones 2005-10-06 02:46:50 EDT
is this still happening with latest kernels ?
Comment 3 John Thacker 2006-05-04 21:27:07 EDT
No response to request, closing.

Note You need to log in before you can comment on or make changes to this bug.